Tables
List columns
Retrieve the column definitions for a table.
GET
/
v1
/
tables
/
{table_id}
/
columns
const columns = await client.tables.columns("tbl_abc123");
for (const col of columns.data) {
console.log(`${col.key} (${col.type}): ${col.label}`);
}
columns = client.tables.columns("tbl_abc123")
for col in columns["data"]:
print(f"{col['key']} ({col['type']}): {col['label']}")
curl -X GET "https://hub.banditshq.com/api/v1/tables/tbl_abc123/columns" \
-H "Authorization: Bearer lasso_..."
{
"data": [
{ "key": "product_name", "label": "Product Name", "type": "text", "required": true },
{ "key": "price", "label": "Price", "type": "number" },
{ "key": "image_url", "label": "Image", "type": "image" }
]
}
Path parameters
string
required
The unique identifier of the table.
Response
array
Show Column object
Show Column object
string
Machine-readable column key (snake_case).
string
Human-readable column label.
string
Column data type. One of:
text, number, url, email, date, boolean, richtext, enum, tags, image, images, json.boolean
Whether the column is required.
string
Optional description of the column.
string[]
Allowed values for
enum type columns.const columns = await client.tables.columns("tbl_abc123");
for (const col of columns.data) {
console.log(`${col.key} (${col.type}): ${col.label}`);
}
columns = client.tables.columns("tbl_abc123")
for col in columns["data"]:
print(f"{col['key']} ({col['type']}): {col['label']}")
curl -X GET "https://hub.banditshq.com/api/v1/tables/tbl_abc123/columns" \
-H "Authorization: Bearer lasso_..."
{
"data": [
{ "key": "product_name", "label": "Product Name", "type": "text", "required": true },
{ "key": "price", "label": "Price", "type": "number" },
{ "key": "image_url", "label": "Image", "type": "image" }
]
}
⌘I
const columns = await client.tables.columns("tbl_abc123");
for (const col of columns.data) {
console.log(`${col.key} (${col.type}): ${col.label}`);
}
columns = client.tables.columns("tbl_abc123")
for col in columns["data"]:
print(f"{col['key']} ({col['type']}): {col['label']}")
curl -X GET "https://hub.banditshq.com/api/v1/tables/tbl_abc123/columns" \
-H "Authorization: Bearer lasso_..."
{
"data": [
{ "key": "product_name", "label": "Product Name", "type": "text", "required": true },
{ "key": "price", "label": "Price", "type": "number" },
{ "key": "image_url", "label": "Image", "type": "image" }
]
}

